New: AI video tools. Cut, clip, caption and dub your videos. See all video tools →
Settings

Get generation mode

GET
/api/v1/settings/generation-mode

Return available generation modes filtered by active model's capabilities.

Response Body

Successful Response

application/json
  1. response
options*array<>

Available generation modes

current*Current

Currently selected mode ID

Example Request
curl -X GET 'http://127.0.0.1:8100/api/v1/settings/generation-mode'
Example Response200
{  "options": [    {      "id": "string",      "name": "string",      "description": "string"    }  ],  "current": "string"}